import { createVNode } from "vue";
import "./styles/breadcrumb.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { useGroup } from "../../composables/group/index.mjs";
import { genericComponent } from "../../utils/define-component.mjs";
import { createSymbol } from "../../utils/symbol.mjs";
const BreadcrumbKey = createSymbol("breadcrumb");
const Breadcrumb = genericComponent()({
  name: "VeBreadcrumb",
  props: {
    ...makeTagProps({
      tag: "nav"
    })
  },
  emits: {
    "update:modelValue": (_value) => true
  },
  setup(props, {
    slots
  }) {
    useGroup(props, BreadcrumbKey);
    return () => {
      return createVNode(props.tag, {
        "aria-label": "breadcrumb",
        "class": "ve-breadcrumb"
      }, {
        default: () => {
          var _a;
          return [createVNode("ol", null, [(_a = slots.default) == null ? void 0 : _a.call(slots)])];
        }
      });
    };
  }
});
export {
  Breadcrumb,
  BreadcrumbKey
};
//# sourceMappingURL=breadcrumb.mjs.map
