import { createVNode } from "vue";
import "./styles/container.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const Container = defineComponent({
  name: "VeContainer",
  props: {
    fluid: {
      type: Boolean,
      default: false
    },
    ...makeTagProps()
  },
  setup(props, {
    slots
  }) {
    return () => createVNode(props.tag, {
      "class": ["ve-container", {
        "ve-container--fluid": props.fluid
      }]
    }, slots);
  }
});
export {
  Container
};
//# sourceMappingURL=container.mjs.map
