import { createVNode } from "vue";
import "./styles/header-title.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const HeaderTitle = defineComponent({
  name: "VeHeaderTitle",
  props: {
    text: String,
    ...makeTagProps({
      tag: "header"
    })
  },
  setup(props, {
    slots
  }) {
    return () => {
      const hasDefault = slots.default || props.text;
      return createVNode(props.tag, {
        "class": "ve-header-title"
      }, {
        default: () => {
          var _a, _b;
          return [hasDefault && createVNode("div", {
            "class": "ve-header-title__wrapper"
          }, [(_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text])];
        }
      });
    };
  }
});
export {
  HeaderTitle
};
//# sourceMappingURL=header-title.mjs.map
