import { createVNode } from "vue";
import "./styles/label.scss";
import { makeThemeProps } from "../../composables/theme/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const Label = defineComponent({
  name: "VeLabel",
  props: {
    disabled: Boolean,
    error: Boolean,
    text: String,
    ...makeThemeProps()
  },
  setup(props, {
    slots
  }) {
    return () => {
      var _a, _b;
      return createVNode("label", {
        "class": ["ve-label", {
          "ve-label--disabled": props.disabled,
          "ve-label--error": props.error
        }]
      }, [(_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text]);
    };
  }
});
export {
  Label
};
//# sourceMappingURL=label.mjs.map
