import { toRef, createVNode } from "vue";
import "./styles/list-subheader.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { useTextColor } from "../../composables/color/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const ListSubheader = defineComponent({
  name: "VeListSubheader",
  props: {
    color: String,
    inset: Boolean,
    ...makeTagProps()
  },
  setup(props, {
    slots
  }) {
    const {
      textColorClasses,
      textColorStyles
    } = useTextColor(toRef(props, "color"));
    return () => createVNode(props.tag, {
      "class": ["ve-list-subheader", {
        "ve-list-subheader--inset": props.inset
      }, textColorClasses.value],
      "style": {
        textColorStyles
      }
    }, {
      default: () => [slots.default && createVNode("div", {
        "class": "ve-list-subheader__text"
      }, [slots.default()])]
    });
  }
});
export {
  ListSubheader
};
//# sourceMappingURL=list-subheader.mjs.map
