import { computed, unref, createVNode } from "vue";
import "./styles/main.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { makeColorProps, useColor } from "../../composables/color/index.mjs";
import { useLayoutMain } from "../../composables/layout/layout-main.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const Main = defineComponent({
  name: "VeMain",
  props: {
    ...makeTagProps({
      tag: "main"
    }),
    ...makeColorProps()
  },
  setup(props, {
    slots
  }) {
    const {
      mainStyles
    } = useLayoutMain();
    const {
      colorClasses,
      colorStyles
    } = useColor(computed(() => {
      const {
        textColor,
        color
      } = unref(props);
      return {
        background: color,
        text: textColor
      };
    }));
    return () => createVNode(props.tag, {
      "class": ["ve-main", colorClasses.value],
      "style": [mainStyles.value, colorStyles.value]
    }, {
      default: () => {
        var _a;
        return [createVNode("div", {
          "class": "ve-main__wrap"
        }, [(_a = slots.default) == null ? void 0 : _a.call(slots)])];
      }
    });
  }
});
export {
  Main
};
//# sourceMappingURL=main.mjs.map
