import { createVNode } from "vue";
import "./styles/scrollbar.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { makeScrollbar, useScrollbar } from "../../composables/scrollbar/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const Scrollbar = defineComponent({
  name: "VeScrollbar",
  props: {
    ...makeTagProps(),
    ...makeScrollbar()
  },
  setup(props, {
    slots
  }) {
    const {
      scrollbarClasses
    } = useScrollbar(props);
    return () => {
      var _a;
      return createVNode("div", {
        "class": ["ve-scrollbar", scrollbarClasses.value]
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
export {
  Scrollbar
};
//# sourceMappingURL=scrollbar.mjs.map
