import { createVNode } from "vue";
import "./styles/table-no-data.scss";
import { Icon } from "../icon/icon.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const TableNoData = defineComponent({
  name: "VeTableNoData",
  props: {
    icon: {
      type: String,
      default: "$nodata"
    },
    text: {
      type: String,
      default: "\u6682\u65E0\u6570\u636E"
    }
  },
  setup(props, {
    slots
  }) {
    return () => {
      var _a, _b;
      return createVNode("div", {
        "class": "ve-table-no-data"
      }, [createVNode(Icon, {
        "icon": props.icon,
        "size": 48,
        "class": "mb-3"
      }, null), createVNode("div", null, [(_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text])]);
    };
  }
});
export {
  TableNoData
};
//# sourceMappingURL=table-no-data.mjs.map
