import { toRef } from "vue";
import { makeVariantProps } from "../../composables/variant/index.mjs";
import { provideDefaults } from "../../composables/defaults/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const ToolbarItems = defineComponent({
  name: "VeToolbarItems",
  props: {
    ...makeVariantProps({
      variant: "contained-text"
    })
  },
  setup(props, {
    slots
  }) {
    provideDefaults({
      VeButton: {
        color: toRef(props, "color"),
        textColor: toRef(props, "textColor"),
        variant: toRef(props, "variant")
      }
    });
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});
export {
  ToolbarItems
};
//# sourceMappingURL=toolbar-items.mjs.map
