import { createVNode } from "vue";
import "./styles/toolbar-title.scss";
import { makeTagProps } from "../../composables/tag/index.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const ToolbarTitle = defineComponent({
  name: "VeToolbarTitle",
  props: {
    text: String,
    ...makeTagProps()
  },
  setup(props, {
    slots
  }) {
    return () => {
      const hasText = !!(slots.text || props.text);
      return createVNode(props.tag, {
        "class": "ve-toolbar-title"
      }, {
        default: () => {
          var _a, _b, _c;
          return [hasText && createVNode("div", {
            "class": "ve-toolbar-title__wrapper"
          }, [(_b = (_a = slots.text) == null ? void 0 : _a.call(slots)) != null ? _b : props.text]), (_c = slots.default) == null ? void 0 : _c.call(slots)];
        }
      });
    };
  }
});
export {
  ToolbarTitle
};
//# sourceMappingURL=toolbar-title.mjs.map
