import { h, mergeProps, Transition } from "vue";
import { propsFactory } from "../../utils/dist/index.mjs";
const makeTransitionProps = propsFactory({
  transition: {
    type: [Boolean, String, Object],
    default: "ve-fade-transition",
    validator: (val) => val !== true
  }
}, "transition");
const MaybeTransition = (props, { slots }) => {
  var _a;
  const { transition, ...rest } = props;
  if (!transition || typeof transition === "boolean")
    return (_a = slots.default) == null ? void 0 : _a.call(slots);
  const { component = Transition, ...customProps } = typeof transition === "object" ? transition : {};
  return h(
    component,
    mergeProps(
      typeof transition === "string" ? { name: transition } : customProps,
      rest
    ),
    slots
  );
};
export {
  MaybeTransition,
  makeTransitionProps
};
//# sourceMappingURL=index.mjs.map
